Subject: [alpine-aports] [PATCH] testing/gnome-colors: new aport

From: Stuart Cardall <[email-masked]>
Date: Mon, 20 Apr 2015 11:32:45 +0000

The GNOME-Colors is a project that aims to make the GNOME desktop as elegant,
consistent and colorful as possible.

There are seven full color-schemes available;

Brave (Blue), Human (Orange), Wine (Red), Noble (Purple), Wise (Green),
Dust (Chocolate) and Illustrious (Pink).

GNOME-Colors is mostly inspired/based on Tango, GNOME, Elementary,
Tango-Generator and many other open-source projects.
---
 testing/gnome-colors/APKBUILD | 77 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)
 create mode 100644 testing/gnome-colors/APKBUILD

diff --git a/testing/gnome-colors/APKBUILD b/testing/gnome-colors/APKBUILD
new file mode 100644
index 0000000..c78b29f
--- /dev/null
+++ b/testing/gnome-colors/APKBUILD
@@ -0,0 +1,77 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=gnome-colors
+pkgver=5.5.1
+pkgrel=0
+pkgdesc="gnome-colors icon themes meta package (all themes)"
+url="https://code.google.com/p/gnome-colors/"
+arch="noarch"
+license="GPLv2"
+depends_dev=""
+makedepends="$depends_dev"
+subpackages="gnome-brave-icon-theme:brave
+	     $pkgname-common
+	     gnome-dust-icon-theme:dust
+	     gnome-human-icon-theme:human
+	     gnome-illustrious-icon-theme:illustrious
+	     gnome-noble-icon-theme:noble
+	     gnome-wine-icon-theme:wine
+	     gnome-wise-icon-theme:wise
+	     "
+install_if="gnome-colors-common gnome-icon-theme-brave gnome-icon-theme-dust gnome-icon-theme-human
+	 gnome-icon-theme-illustrious gnome-icon-theme-noble gnome-icon-theme-wine gnome-icon-theme-wise"
+
+source="https://gnome-colors.googlecode.com/files/gnome-colors-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	mkdir $_builddir
+	ls -1 | egrep -v "$pkgver|.patch" | xargs -I{} mv {} $_builddir/
+}
+
+package() {
+	cd "$_builddir" || return 1
+	find gnome* -name 'xchat*' | while read i; do
+		ln -s "${i##*/}" "${i/xchat/hexchat}" || break
+	done
+	mkdir -p "$pkgdir/$pkgname"
+}
+
+_app() {
+	local app="$1" final_name= color=
+	vmsg="variation of the" cmsg="icons for all"
+
+	case "$app" in
+	        brave) color="Blue $vmsg";;
+	colors-common) color="Common $cmsg";;
+	         dust) color="Chocolate $vmsg";;
+	        human) color="Orange $vmsg";;
+	  illustrious) color="Pink $vmsg";;
+	        noble) color="Purple $vmsg";;
+	         wine) color="Red $vmsg";;
+	         wise) color="Green $vmsg";;
+	esac
+
+	pkgdesc="$color GNOME-Colors icon theme"
+	if [ "$app" != "colors-common" ]; then
+		install_if="$pkgname=$pkgver $pkgname-common"
+	fi
+
+	cd "$_builddir"
+	mkdir -p "$subpkgdir/usr/share/icons"
+	mv "gnome-$app" "$subpkgdir/usr/share/icons/" || return 1
+}
+
+brave()	{ _app brave 'brave*'; }
+common() { _app colors-common 'colors-common*'; }
+dust() { _app dust 'dust*'; }
+human() { _app human 'human*'; }
+illustrious() { _app illustrious 'illustrious*'; }
+noble() { _app noble 'noble*'; }
+wine() { _app wine 'wine*'; }
+wise() { _app wise 'wise*'; }
+
+md5sums="8ec81b556bac351817bd56a1701dbbfb  gnome-colors-5.5.1.tar.gz"
+sha256sums="1e91d845a753eb38671e7614a786f852ab858a12983111e780da4a47c9debe58  gnome-colors-5.5.1.tar.gz"
+sha512sums="23d1fb9b96cd4287acc0f540c8a7abed1b9f16d7e2bc952beedc365cfd71a3a0134382a7f4bb1c01c62dc376acb6aaf81332167869ec6e8c036679e89d325ff3  gnome-colors-5.5.1.tar.gz"
-- 
2.3.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---